Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassManufacturedProduct

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassManufacturedProduct

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassManufacturedProduct

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Manufactured Product', and utility methods for working with them. specDomain: V11580 (C-0-D11555-V13940-V19313-V19105-V11580-cpt)

See Also:
  `CDAR2Package.getRoleClassManufacturedProduct()`

Field Summary
`static int` | `MANU` The 'MANU' literal value.
`static RoleClassManufacturedProduct` | `MANU_LITERAL` The 'MANU' literal object.
`static int` | `THER` The 'THER' literal value.
`static RoleClassManufacturedProduct` | `THER_LITERAL` The 'THER' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Manufactured Product' enumerators.

Method Summary
`static RoleClassManufacturedProduct` | `get(int value)` Returns the 'Role Class Manufactured Product' literal with the specified integer value.
`static RoleClassManufacturedProduct` | `get(java.lang.String literal)` Returns the 'Role Class Manufactured Product' literal with the specified literal value.
`static RoleClassManufacturedProduct` | `getByName(java.lang.String name)` Returns the 'Role Class Manufactured Product' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MANU

    public static final int MANU

  The 'MANU' literal value.

  If the meaning of 'MANU' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MANU_LITERAL`, Constant Field Values

### THER

    public static final int THER

  The 'THER' literal value.

  If the meaning of 'THER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `THER_LITERAL`, Constant Field Values

### MANU_LITERAL

    public static final RoleClassManufacturedProduct MANU_LITERAL

  The 'MANU' literal object.

  See Also:
    `MANU`

### THER_LITERAL

    public static final RoleClassManufacturedProduct THER_LITERAL

  The 'THER' literal object.

  See Also:
    `THER`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Manufactured Product' enumerators.

Method Detail

### get

    public static RoleClassManufacturedProduct get(java.lang.String literal)

  Returns the 'Role Class Manufactured Product' literal with the specified literal value.

### getByName

    public static RoleClassManufacturedProduct getByName(java.lang.String name)

  Returns the 'Role Class Manufactured Product' literal with the specified name.

### get

    public static RoleClassManufacturedProduct get(int value)

  Returns the 'Role Class Manufactured Product' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD